New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

add cloud-init sshkeys and ipconfig #42571

Open
wants to merge 1 commit into
base: devel
from

Conversation

Projects
None yet
3 participants
@morph027

morph027 commented Jul 10, 2018

SUMMARY

Added some new cloud-init related settings from proxmox api.

ISSUE TYPE
  • Feature Pull Request
COMPONENT NAME

proxmox_kvm

ANSIBLE VERSION
ansible 2.5.0
  python version = 3.5.2 (default, Nov 23 2017, 16:37:01) [GCC 5.4.0 20160609]
@ansibot

This comment has been minimized.

Contributor

ansibot commented Jul 10, 2018

The test ansible-test sanity --test ansible-doc --python 2.6 [explain] failed with 1 error:

lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: missing documentation (or could not parse documentation): expected string or buffer

The test ansible-test sanity --test ansible-doc --python 2.7 [explain] failed with 1 error:

lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: missing documentation (or could not parse documentation): expected string or buffer

The test ansible-test sanity --test ansible-doc --python 3.5 [explain] failed with 1 error:

lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: missing documentation (or could not parse documentation): expected string or bytes-like object

The test ansible-test sanity --test ansible-doc --python 3.6 [explain] failed with 1 error:

lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: missing documentation (or could not parse documentation): expected string or bytes-like object

The test ansible-test sanity --test ansible-doc --python 3.7 [explain] failed with 1 error:

lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: missing documentation (or could not parse documentation): expected string or bytes-like object

The test ansible-test sanity --test validate-modules [explain] failed with 4 errors:

lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: E305 DOCUMENTATION.options.ipconfig.description.0: expected str @ data['options']['ipconfig']['description'][0]. Got {'cloud-init': 'Specify IP addresses and gateways for the corresponding interface.'}
lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: E305 DOCUMENTATION.options.sshkeys.description.0: expected str @ data['options']['sshkeys']['description'][0]. Got {'cloud-init': 'Setup public SSH keys (one key per line, OpenSSH format).'}
lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: E309 version_added for new option (ipconfig) should be 2.7. Currently 0.0
lib/ansible/modules/cloud/misc/proxmox_kvm.py:0:0: E309 version_added for new option (sshkeys) should be 2.7. Currently 0.0

click here for bot help

@ansibot

This comment has been minimized.

Contributor

ansibot commented Jul 10, 2018

@helldorado

This comment has been minimized.

Contributor

helldorado commented Jul 10, 2018

@morph027 thank's for this PR but this feature already proposed by @FireDrunk . See #40663

We should be able to advance on the subject once this PR #42313 that fixes several bug will be merged.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment